php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #77689 Opcache on PHP 5.5 and 5.6 crash when build with Xcode 10
Submitted: 2019-03-03 11:07 UTC Modified: 2019-03-04 12:53 UTC
From: hoste dot pieter at gmail dot com Assigned: cmb (profile)
Status: Wont fix Package: opcache
PHP Version: Irrelevant OS: macOS, FreeBSD, OpenBSD
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2019-03-03 11:07 UTC] hoste dot pieter at gmail dot com
Description:
------------
Hi

I realise support for PHP 5.5 and 5.6 is over, but I reported the same bug over at MacPorts and it got fixed over there and the maintainer urged me to open a bug report over here as well, even though PHP 5.x is no longer supported.
So here I am :)

(Sorry for picking PHP version 'irrelevant', it won't allow me to submit a report using 'earlier')


There seems to be some problem with Opcache on PHP 5.5 and 5.6 when build with clang 6 or 7 or higher. It crashes php scripts when they get executed through a webserver context.

I'm just going to specify some external links with more elaborate descriptions about the problem, these also contain links to patches which fix the problem:
- https://trac.macports.org/ticket/58119
- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227723

Thanks!


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2019-03-04 12:53 UTC] cmb@php.net
-Status: Open +Status: Wont fix -Assigned To: +Assigned To: cmb
 [2019-03-04 12:53 UTC] cmb@php.net
> I realise support for PHP 5.5 and 5.6 is over, […]

That.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sat Nov 28 00:01:24 2020 UTC